Create Brand Standards
curl --request POST \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/brand-standards \
--header 'Content-Type: application/json' \
--data '
{
"refNumber": "<string>",
"name": "<string>",
"categoryId": "<string>",
"productTypeId": "<string>",
"columnsAttributes": {}
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/brand-standards"
payload = {
"refNumber": "<string>",
"name": "<string>",
"categoryId": "<string>",
"productTypeId": "<string>",
"columnsAttributes": {}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
refNumber: '<string>',
name: '<string>',
categoryId: '<string>',
productTypeId: '<string>',
columnsAttributes: {}
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/brand-standards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"refNumber": "<string>",
"name": "<string>",
"categoryId": "<string>",
"categoryName": "<string>",
"templateFamilyId": "<string>",
"productTypeId": "<string>",
"productTypeName": "<string>",
"columnsAttributes": {},
"templateFamilyColumnsAttributes": {},
"status": "draft",
"templateFamilyVersion": 123,
"itemsCount": 123,
"materialsCount": 123,
"partsCount": 123,
"componentsCount": 123,
"linkedItemsCount": 123,
"lastLinkedAt": "<string>",
"projectsCount": 123,
"projectNames": [
"<string>"
],
"collectionsCount": 123,
"collectionNames": [
"<string>"
],
"lastUsedProjectName": "<string>",
"position": 123,
"version": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"familyCode": "<string>"
}Brand Standards
Create Brand Standards
POST
/
v1
/
workspaces
/
{workspaceId}
/
brand-standards
Create Brand Standards
Path Parameters
Body
application/json
Response
201 - application/json
Available options:
draft, new_from_project, new_from_collection, ready_to_use ⌘I